//
//  AppDelegate.h
//  DDCCTL
//
//  Created by Rens Breur on 15/01/15.
//  Copyright (c) 2015 Rens Breur. All rights reserved.
//
//  DDCTL is a daemon application to control
//  the volume of an HDMI display using the
//  HDMI DDC protocol
//
//  The AppDelegate is responsible for connecting
//  the DDCManager class with several helper classes,
//  namely MenuItemController, HUDController and
//  HotkeyController
//
//  The MenuItemController and the HUDController
//  show the current volume, only the HotkeyController
//  changes the volume
//

#import <Cocoa/Cocoa.h>
#import "DDCManager.h"

@interface AppDelegate : NSObject <NSApplicationDelegate>

// DDC Manager
@property (nonatomic, strong) DDCManager *ddcManager;

@end