//
//  MenuItemController.m
//  DDCCTL
//
//  Created by Rens Breur on 17/01/15.
//  Copyright (c) 2015 Rens Breur. All rights reserved.
//

#import "MenuItemController.h"

@interface MenuItemController ()

@property (nonatomic, strong) NSStatusItem *statusItem;

@end

@implementation MenuItemController

- (instancetype)init {
    if (self = [super init]) {
        [self setup];
    }
    return self;
}

- (void)setup {
    self.statusItem = [[NSStatusBar systemStatusBar] statusItemWithLength:NSVariableStatusItemLength];
    self.statusItem.highlightMode = NO;
    [self.statusItem setTarget:self];
    [self.statusItem setAction:@selector(menuClick)];
}

- (void)setImage:(NSString *)image {
    NSImage* statusImage = [[NSImage alloc] initByReferencingFile:[[NSBundle mainBundle] pathForResource:image ofType:@"pdf"]];
    [statusImage setSize:NSMakeSize(21, 16)];
    [statusImage setTemplate:YES];
    [self.statusItem setImage:statusImage];
}

- (void)menuClick {
    self.menuClicked();
}


@end
