//
//  VolumeProgressView.swift
//  DDCCTL
//
//  Created by Alberto Cicala on 12/05/18.
//  Copyright © 2018 Alberto Cicala. All rights reserved.
//

import Cocoa

class VolumeProgressView: NSView {
    let backgroundColor = NSColor.init(red: 0.39, green: 0.39, blue: 0.39, alpha: 1)
    override func draw(_ dirtyRect: NSRect) {
        super.draw(dirtyRect)
        NSGraphicsContext.current()?.shouldAntialias = false
        NSGraphicsContext.current()?.shouldAntialias = false

        // set any NSColor for filling, say white:
        NSGraphicsContext.current()
        backgroundColor.setFill()
        NSRectFill(dirtyRect)
        if (currentValue == 0){
            return
        }
//        // setup the context
        let currentContext = NSGraphicsContext.current()!.cgContext

  
        if let oldDashedLayer = layer?.sublayers?.filter({ $0.name == "DashedTopLine" }).first{
            oldDashedLayer.removeFromSuperlayer()
        }
        
        let shapeLayer: CAShapeLayer = CAShapeLayer()
        shapeLayer.magnificationFilter = kCAFilterNearest
        shapeLayer.fillColor = backgroundColor.cgColor
        shapeLayer.strokeColor = NSColor.white.cgColor
        shapeLayer.lineWidth = 6
        shapeLayer.lineJoin = kCALineJoinMiter
        shapeLayer.lineDashPattern = [9, 1]
        Swift.print(self.frame)
        let path: CGMutablePath = CGMutablePath()
        
        path.move(to: CGPoint.init(x: 1, y: 4))
        path.addLine(to: CGPoint.init(x: (frame.width - 1) * CGFloat(currentValue), y: 4), transform: CGAffineTransform.identity)
        shapeLayer.path = path
        shapeLayer.render(in: currentContext)
        super.draw(dirtyRect)
        }

    
    
    override init(frame frameRect: NSRect) {
        super.init(frame: frameRect)
        self.wantsLayer = true
    }
    
    required init?(coder decoder: NSCoder) {
        super.init(coder: decoder)
    }
    
    
    var currentValue: Float = 1{
        didSet{
            setNeedsDisplay(visibleRect)
            displayIfNeeded()
        }
        
    }
    
}
